﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using MyVod.Infrastructure.Legal;

#nullable disable

namespace MyVod.Migrations.LegalDb
{
    [DbContext(typeof(LegalDbContext))]
    [Migration("20220608103554_InitialLegalBCMigration")]
    partial class InitialLegalBCMigration
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder.HasAnnotation("ProductVersion", "6.0.5");

            modelBuilder.Entity("MyVod.Domain.Legal.Domain.License", b =>
                {
                    b.Property<Guid>("Id")
                        .HasColumnType("TEXT");

                    b.Property<Guid>("MovieId")
                        .HasColumnType("TEXT");

                    b.Property<string>("Status")
                        .IsRequired()
                        .HasColumnType("TEXT");

                    b.HasKey("Id");

                    b.ToTable("Licenses", (string)null);
                });

            modelBuilder.Entity("MyVod.Domain.Legal.Domain.License", b =>
                {
                    b.OwnsOne("MyVod.Domain.Legal.Domain.RegionalIdentifier", "RegionalIdentifier", b1 =>
                        {
                            b1.Property<Guid>("LicenseId")
                                .HasColumnType("TEXT");

                            b1.Property<ushort>("Value")
                                .HasColumnType("INTEGER")
                                .HasColumnName("RegionIdentifier");

                            b1.HasKey("LicenseId");

                            b1.ToTable("Licenses");

                            b1.WithOwner()
                                .HasForeignKey("LicenseId");
                        });

                    b.OwnsOne("MyVod.Domain.SharedKernel.DateRange", "DateRange", b1 =>
                        {
                            b1.Property<Guid>("LicenseId")
                                .HasColumnType("TEXT");

                            b1.Property<DateTime>("EndDate")
                                .HasColumnType("TEXT")
                                .HasColumnName("EndDate");

                            b1.Property<DateTime>("StartDate")
                                .HasColumnType("TEXT")
                                .HasColumnName("StartDate");

                            b1.HasKey("LicenseId");

                            b1.ToTable("Licenses");

                            b1.WithOwner()
                                .HasForeignKey("LicenseId");
                        });

                    b.Navigation("DateRange")
                        .IsRequired();

                    b.Navigation("RegionalIdentifier")
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
